Bug 128656 - net-snmp doesn't completely start on boot
net-snmp doesn't completely start on boot
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: net-snmp (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-27 14:37 EDT by Brian DeFeyter
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-23 09:00:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian DeFeyter 2004-07-27 14:37:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/125.2 (KHTML, like Gecko) Safari/125.8

Description of problem:
I have a number of enterprise v3 installs, all with a simple /etc/snmpd/snmpd.conf file that just has 1-3 'rocommunity' statements in it. ie:

rocommunity public 192.168.0.10
rocommunity public 192.168.0.11
rocommunity public 192.168.0.12

Whenever I reboot the machines, the snmpd process does start but it doesn't respond to valid requests. I have to issue a 'service restart' and then everything works as expected.

I would expect this to work from 192.168.0.10:

`snmpwalk -v1 -c public rebootedserver`

but I get:

"Timeout: No Response from mysql2.db.gospelcom.net"

Once I restart snmpd, the snmpwalk works as expected.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. create a simple config just like the one shown in the bug description
2. reboot
    

Actual Results:  snmpd starts, but doesn't respond to queries

Expected Results:  snmpd should respond to queries

Additional info:

after restarting snmpd, everything works as expected
Comment 1 Radek Vokal 2004-09-08 04:43:52 EDT
May I have your complete snmpd.conf file? 
Comment 2 Brian DeFeyter 2004-09-08 14:35:57 EDT
That really is all of it. Here's an snmpd.conf that just exhibited 
the same behavior, with communities and hosts/ips changed:

rocommunity foo host.domain.com
rocommunity foo host2.domain2.net
rocommunity foo 1.2.3.4
rocommunity foo 34.56.23.42
Comment 3 Radek Vokal 2005-02-23 09:00:28 EST
I didn't manage to reproduce it here even with the given conf file.
Snmpd correctly starts on boot. After boot if you run `service snmpd
status` do you see that the process is running?
Comment 4 Brian DeFeyter 2005-02-24 07:52:22 EST
This hasn't happened for me in several months. I think one of the updates may
have somehow taken care of it?

Note You need to log in before you can comment on or make changes to this bug.